#include "stdafx.h"

int main(int argc, char* argv[])
{

	//initialisation, i.e. an empty chess board is created
	//REQUIRED!
	if (Initialize() == false)
		return -1;

	
	bool CompStarts;
 		 /*
		   true = computer begins the game
		   false = opponent begins the game

		   Required by PlayAgainstOpponent
		 */
		
		//search depth (in plies)
	int Depth;


	/*
	  you can set a position by specifying pieces:
	
	  AddPiece(squareNumber1,pieceNumber1);
	  AddPiece(squareNumber2,pieceNumber2);
	  
	  RemovePiece(squareNumber3,pieceNumber3);
	  RemovePiece(squareNumber4,pieceNumber4);

  
	  and positional parameters:

	  EnPassant = 5;
	  MovingSide = 7;
	  WhiteShortCastling = false;
	  BlackCastlingDone = true;

	*/
	
	//or you can start with initial position
	InitialPosition();

	/*
	  where you can make moves here manually, e.g.
		
	  Move(12,28,SetMoveType(12,28));
	  Move(52,44,SetMoveType(52,44));
	
	  Numbers are chessboard square numbers.
	  a1 = 0;
	  b1 = 1;
	  ...
	  a2 = 8;
	  b2 = 9;
	  ...
	  a8 = 56;
	  b8 = 57;
	  ...
	  h8 = 63;
	*/

	//specifying game parameters
	CompStarts = false;
	Depth = 3;

	//game
	if (PositionValidity() == true)
	{
		PlayAgainstOpponent(CompStarts,Depth);
		//AutoPlay(Depth);
	}

	getchar();
	return 0;
}

